
DECLARE	@@systemID int,
		@@branchID int
----------------------------------------------------------------GET ROLE ID

select @@systemID  = SYSTEM_ID , @@branchID = BRANCH_ID
from dbo.TB_M_SYSTEM 
where SYSTEM_NAME  = @aplikasi




select 
'Object_Auth='+(ISNULL(CAST(TB_M_AUTHORIZATION_DETAIL.OBJECT_AUTH AS VARCHAR(15)),'NULL'))+
',Action_Auth='+(ISNULL(CAST(TB_M_AUTHORIZATION_DETAIL.ACTION_AUTH AS VARCHAR(15)),'NULL'))+
',Screen_Auth='+(ISNULL(CAST(TB_M_AUTHORIZATION_DETAIL.SCREEN_AUTH AS VARCHAR(15)),'NULL'))+
',AuthorizationGroup='+(ISNULL((select AUTHORIZATION_GROUP_NAME from TB_M_AUTHORIZATION_GROUP where AUTHORIZATION_GROUP_ID=TB_M_AUTHORIZATION_DETAIL.AUTHORIZATION_GROUP_ID),'NULL'))+
',Object='+(ISNULL((SELECT OBJECT_NAME FROM TB_M_OBJECT WHERE OBJECT_ID = TB_M_AUTHORIZATION_DETAIL.OBJECT_ID),'NULL'))+
',Action='+(ISNULL((SELECT ACTION_NAME FROM TB_M_ACTION WHERE ACTION_ID = TB_M_AUTHORIZATION_DETAIL.ACTION_ID),'NULL'))+
',Screen='+(ISNULL((SELECT SCREEN_NAME FROM TB_M_SCREEN WHERE SCREEN_ID = TB_M_AUTHORIZATION_DETAIL.SCREEN_ID AND ACTION_ID = TB_M_AUTHORIZATION_DETAIL.ACTION_ID AND OBJECT_ID = TB_M_AUTHORIZATION_DETAIL.OBJECT_ID),'NULL'))+
',Role='+ROLE_NAME+
',System='+(ISNULL((select SYSTEM_NAME from TB_M_SYSTEM where SYSTEM_ID=TB_M_AUTHORIZATION_DETAIL.SYSTEM_ID),'NULL'))+
',Branch='+(ISNULL((select BRANCH_NAME from TB_M_BRANCH where BRANCH_ID=TB_M_AUTHORIZATION_DETAIL.BRANCH_ID),'NULL')) AS AuthorizationDetails
from  TB_M_ROLE, TB_M_AUTHORIZATION_DETAIL
where TB_M_ROLE.ROLE_ID = @roleID AND TB_M_ROLE.SYSTEM_ID = @@systemID AND TB_M_ROLE.BRANCH_ID = @@branchID AND (SCREEN_AUTH = '1') AND  TB_M_AUTHORIZATION_DETAIL.ROLE_ID = @roleID



